﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Get_Selected_Cell_or_Records_on_Mouse_Release
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }        


        private void Grid_PreviewMouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            string result = "";
            var selectedItems = (sender as XamDataGrid).SelectedItems;

            if(selectedItems.Cells.Count != 0)   //get selected cells
            {
                result += "Selected Cells:\n";

                foreach (var item in selectedItems.Cells)
                {
                    result += "Field name: " + item.Field.Name.ToString() + ", Value: " + item.Value.ToString() + '\n';
                }
            }
            else if(selectedItems.Records.Count != 0)  //get selected records
            {
                result += "Selected Records:\n";

                foreach(var item in selectedItems.Records)
                {
                    result += "Index: " + item.Index.ToString() + '\n';
                }
            }
            MessageBox.Show(result);
        }
    }
}
